## org.apache.lucene.benchmark.stats
Class TestRunData

    java.lang.Object
      org.apache.lucene.benchmark.stats.TestRunData

    public class TestRunData

extends java.lang.Object

This class holds series of TimeData related to a single test run. TimeData values may contribute to different measurements, so this class provides also some useful methods to separate them.

Constructor Summary
`TestRunData()`
`TestRunData(java.lang.String id)`

Method Summary
`void` `addData(TimeData td)` Add a data point.
`void` `endRun()` Mark the ending time of this test run.
`java.util.LinkedHashMap` `getData()`
`long` `getEnd()`
`java.lang.String` `getId()`
`java.util.Collection` `getLabels()` Get a list of all available types of data points.
`MemUsage` `getMemUsage(java.lang.String label)` Get memory usage stats for a given data type.
`long` `getStart()`
`java.util.Vector` `getTotals()` Get total values from all data points of all types.
`TimeData` `getTotals(java.lang.String label)` Get total values from all data points of a given type.
`void` `setId(java.lang.String id)`
`void` `startRun()` Mark the starting time of this test run.
`java.lang.String` `toString()` Return a string representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestRunData

    public TestRunData()

### TestRunData

    public TestRunData(java.lang.String id)

Method Detail

### getData

    public java.util.LinkedHashMap getData()

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getEnd

    public long getEnd()

### getStart

    public long getStart()

### startRun

    public void startRun()

  Mark the starting time of this test run.

### endRun

    public void endRun()

  Mark the ending time of this test run.

### addData

    public void addData(TimeData td)

  Add a data point.

### getLabels

    public java.util.Collection getLabels()

  Get a list of all available types of data points.

### getTotals

    public TimeData getTotals(java.lang.String label)

  Get total values from all data points of a given type.

### getTotals

    public java.util.Vector getTotals()

  Get total values from all data points of all types.

  Returns:
    a list of TimeData values for all types.

### getMemUsage

    public MemUsage getMemUsage(java.lang.String label)

  Get memory usage stats for a given data type.

### toString

    public java.lang.String toString()

  Return a string representation.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.